

library(tidyverse)
library(ggpubr)
library(dplyr)



# R1
# Ppu mono
nedPP_24 <- nrow(DropletsF %>% filter(BiologicalRep == 'R1', Timepoint == 'T24', Condition == 'Ppu', Fluo2Sum > 0)) # non empty Ppu droplet
adPP_24 <- nrow(DropletsF %>% filter(BiologicalRep == 'R1', Timepoint == 'T24', Condition == 'Ppu')) # all droplets
ratio_non_emptyPP1 <- nedPP_24/adPP_24 # Proportion of non empty droplets in Ppu monoculture
# Pve mono
nedPV_24 <- nrow(DropletsF %>% filter(BiologicalRep == 'R1', Timepoint == 'T24', Condition == 'Pve', Fluo1Sum > 0))
adPV_24 <- nrow(DropletsF %>% filter(BiologicalRep == 'R1', Timepoint == 'T24', Condition == 'Pve'))
ratio_non_emptyPV1 <- nedPV_24/adPV_24 # Proportion of non empty droplets in Pve monoculture
# Ppu mixed culture
nedPPmix_24 <- nrow(DropletsF %>% filter(BiologicalRep == 'R1', Timepoint == 'T24', Condition == 'PvePpu', Fluo2Sum > 0 ))
adPVPPmix_24 <- nrow(DropletsF %>% filter(BiologicalRep == 'R1', Timepoint == 'T24', Condition == 'PvePpu'))
ratio_non_emptyPPmix1 <- nedPPmix_24/adPVPPmix_24 # Proportion of non empty droplets
# Pve mixed culture
nedPVmix_24 <- nrow(DropletsF %>% filter(BiologicalRep == 'R1', Timepoint == 'T24', Condition == 'PvePpu', Fluo1Sum > 0 ))
ratio_non_emptyPVmix1 <- nedPVmix_24/adPVPPmix_24 # Proportion of non empty droplets

#R2
# Ppu mono
nedPP_24 <- nrow(DropletsF %>% filter(BiologicalRep == 'R2', Timepoint == 'T24', Condition == 'Ppu', Fluo2Sum > 0)) # non empty Ppu droplet
adPP_24 <- nrow(DropletsF %>% filter(BiologicalRep == 'R2', Timepoint == 'T24', Condition == 'Ppu')) # all droplets
ratio_non_emptyPP2 <- nedPP_24/adPP_24 # Proportion of non empty droplets in Ppu monoculture
# Pve mono
nedPV_24 <- nrow(DropletsF %>% filter(BiologicalRep == 'R2', Timepoint == 'T24', Condition == 'Pve', Fluo1Sum > 0))
adPV_24 <- nrow(DropletsF %>% filter(BiologicalRep == 'R2', Timepoint == 'T24', Condition == 'Pve'))
ratio_non_emptyPV2 <- nedPV_24/adPV_24 # Proportion of non empty droplets in Pve monoculture
# Ppu mixed culture
nedPPmix_24 <- nrow(DropletsF %>% filter(BiologicalRep == 'R2', Timepoint == 'T24', Condition == 'PvePpu', Fluo2Sum > 0 ))
adPVPPmix_24 <- nrow(DropletsF %>% filter(BiologicalRep == 'R2', Timepoint == 'T24', Condition == 'PvePpu'))
ratio_non_emptyPPmix2 <- nedPPmix_24/adPVPPmix_24 # Proportion of non empty droplets
# Pve mixed culture
nedPVmix_24 <- nrow(DropletsF %>% filter(BiologicalRep == 'R2', Timepoint == 'T24', Condition == 'PvePpu', Fluo1Sum > 0 ))
ratio_non_emptyPVmix2 <- nedPVmix_24/adPVPPmix_24 # Proportion of non empty droplets

#R3
# Ppu mono
nedPP_24 <- nrow(DropletsF %>% filter(BiologicalRep == 'R3', Timepoint == 'T24', Condition == 'Ppu', Fluo2Sum > 0)) # non empty Ppu droplet
adPP_24 <- nrow(DropletsF %>% filter(BiologicalRep == 'R3', Timepoint == 'T24', Condition == 'Ppu')) # all droplets
ratio_non_emptyPP3 <- nedPP_24/adPP_24 # Proportion of non empty droplets in Ppu monoculture
# Pve mono
nedPV_24 <- nrow(DropletsF %>% filter(BiologicalRep == 'R3', Timepoint == 'T24', Condition == 'Pve', Fluo1Sum > 0))
adPV_24 <- nrow(DropletsF %>% filter(BiologicalRep == 'R3', Timepoint == 'T24', Condition == 'Pve'))
ratio_non_emptyPV3 <- nedPV_24/adPV_24 # Proportion of non empty droplets in Pve monoculture
# Ppu mixed culture
nedPPmix_24 <- nrow(DropletsF %>% filter(BiologicalRep == 'R3', Timepoint == 'T24', Condition == 'PvePpu', Fluo2Sum > 0 ))
adPVPPmix_24 <- nrow(DropletsF %>% filter(BiologicalRep == 'R3', Timepoint == 'T24', Condition == 'PvePpu'))
ratio_non_emptyPPmix3 <- nedPPmix_24/adPVPPmix_24 # Proportion of non empty droplets
# Pve mixed culture
nedPVmix_24 <- nrow(DropletsF %>% filter(BiologicalRep == 'R3', Timepoint == 'T24', Condition == 'PvePpu', Fluo1Sum > 0 ))
ratio_non_emptyPVmix3 <- nedPVmix_24/adPVPPmix_24 # Proportion of non empty droplets
